# FoundationClasses
TKernel
Plugin

# Plugin_DataMapIteratorOfMapOfFunctions Class Reference

`#include <Plugin_DataMapIteratorOfMapOfFunctions.hxx>`

Inheritance diagram for Plugin_DataMapIteratorOfMapOfFunctions:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Plugin_DataMapIteratorOfMapOfFunctions ()
Standard_EXPORT | Plugin_DataMapIteratorOfMapOfFunctions (const Plugin_MapOfFunctions &aMap)
Standard_EXPORT void | Initialize (const Plugin_MapOfFunctions &aMap)
Standard_EXPORT const TCollection_AsciiString & | Key () const
Standard_EXPORT const OSD_Function & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT Plugin_DataMapIteratorOfMapOfFunctions::Plugin_DataMapIteratorOfMapOfFunctions | ( |  | ) |

Standard_EXPORT Plugin_DataMapIteratorOfMapOfFunctions::Plugin_DataMapIteratorOfMapOfFunctions | ( | const Plugin_MapOfFunctions & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void Plugin_DataMapIteratorOfMapOfFunctions::Initialize | ( | const Plugin_MapOfFunctions & | aMap | ) |

Standard_EXPORT const TCollection_AsciiString& Plugin_DataMapIteratorOfMapOfFunctions::Key | ( |  | ) | const

void Plugin_DataMapIteratorOfMapOfFunctions::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* Plugin_DataMapIteratorOfMapOfFunctions::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* Plugin_DataMapIteratorOfMapOfFunctions::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

Standard_EXPORT const OSD_Function& Plugin_DataMapIteratorOfMapOfFunctions::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- Plugin_DataMapIteratorOfMapOfFunctions.hxx